import request from '@/utils/request'

// 获取组织列表
export function getDirectories(data) { 
    return request({
        url: `/api/v1/auth/directories`,
        method: 'get',
        params:data
    })
}

// 获取指定目录下的用户列表
export function getDirectoriesUsers(directory_uuid,data) { 
    return request({
        url: `/api/v1/auth/directories/${directory_uuid}/users`,
        method: 'get',
        params:data
    })
}

//获取参与者历史参会记录
export function getParticipantsHistoryApi(userId,data) {  
    return request({
        url: `/api/v1/rooms/${ userId }/participants/history`,
        method: 'get',  
        params:data
    })
}

// 获取用户详细信息
export function getInfo(userUid,type) { 
    return request({
        url: `/api/v1/auth/users/${userUid}`,
        method: 'get',
        params:type
    })
}

